<#assign import_block>
import UIService from '@/uiservice/ui-service';
import qs from 'qs';
import entityMapping from '@/config/entity-mapping';
</#assign> 
<#assign created_block>
    this.viewInit();
</#assign> 
<#assign self_content>
    
    /**
     * 是否在工作流中
     *
     * @memberof ${srfclassname('${view.name}')}Base
     */ 
    public isEnableWorkflow:boolean = true;

    /**
     * 初始化视图
     *
     * @memberof ${srfclassname('${view.name}')}Base
     */    
    public async viewInit(){
        let { srfappkey, srfappde, userTaskId } = this.viewparams;
        const uiService: UIService = new UIService();
        const entityCodeName = entityMapping[srfappde.toLowerCase()];
        const targetService: any = await uiService.getService(entityCodeName);
        targetService.getRDAppView(srfappkey, this.isEnableWorkflow).then((res: any) => {
            if (res && res.viewname && res.srfappde) {
                const indexPath = this.$viewTool.getIndexRoutePath(this.$route);
                <#noparse>let routePath: string = `${indexPath}/${res.srfappde}/${srfappkey}/${res.viewname}`;</#noparse>
                if (userTaskId) {
                    <#noparse>routePath = `${routePath}?${qs.stringify({ taskDefinitionKey: userTaskId }, { delimiter: ';' })}`;</#noparse>
                }
                this.$router.push({ path: routePath });
            } else {
                console.error("未查找到重定向视图")
            }
        })
    }
</#assign>
<#assign generateTip>
// 基于 @VIEW/应用全局流程工作重定向视图/VIEW-BASE.vue.ftl 生成
</#assign>
<#ibizinclude>
../@MACRO/VIEW-BASE.vue.ftl
</#ibizinclude>